Package org.drinkless.tdlib

# Class TdApi.GiftResaleParameters

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GiftResaleParameters

Enclosing class:
  `TdApi`

public static class TdApi.GiftResaleParameters extends TdApi.Object
Describes parameters of a unique gift available for resale.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `starCount`
  Resale price of the gift in Telegram Stars.
  `long`
  `toncoinCentCount`
  Resale price of the gift in 1/100 of Toncoin.
  `boolean`
  `toncoinOnly`
  True, if the gift can be bought only using Toncoins.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GiftResaleParameters()`
  Describes parameters of a unique gift available for resale.
  `GiftResaleParameters(long starCount, long toncoinCentCount, boolean toncoinOnly)`
  Describes parameters of a unique gift available for resale.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### starCount

    public long starCount
    Resale price of the gift in Telegram Stars.

  - ### toncoinCentCount

    public long toncoinCentCount
    Resale price of the gift in 1/100 of Toncoin.

  - ### toncoinOnly

    public boolean toncoinOnly
    True, if the gift can be bought only using Toncoins.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GiftResaleParameters

    public GiftResaleParameters()
    Describes parameters of a unique gift available for resale.

  - ### GiftResaleParameters

    public GiftResaleParameters(long starCount, long toncoinCentCount, boolean toncoinOnly)
    Describes parameters of a unique gift available for resale.
    Parameters:
      `starCount` - Resale price of the gift in Telegram Stars.
      `toncoinCentCount` - Resale price of the gift in 1/100 of Toncoin.
      `toncoinOnly` - True, if the gift can be bought only using Toncoins.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR